Subject: bug#70386: 30.0.50; (recenter 0 t) does not put point on top of the window

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 May 2024 21:26:37 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sat, 11 May 2024 18:00:25 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> See my recording of emacs -Q:
> >> https://0x0.st/XKzU.mp4
> >
> > Does that really answer the questions above?
> >
> > Btw, the "input" which interrupts while-no-input might come from
> > sources you might not expect.
> >
> > All in all, I don't understand what is this bug about, for quite some
> > time.  I fail to see anything here that is worth keeping to dig into
> > this.
> 
> When I have
> 
> (progn
>  ...
>  (recenter 0 t))
> 
> I expect the final result to be just the same as
> 
> (recenter 0 t)
> 
> but it is not what I am seeing.
> 
> Is it more clear?

The result can legitimately depend on what is inside progn, because
what's there could affect point, and that in turn affects which line
recenter puts on the first window line, or even if it can do that.

So in this general form, the expectation is not correct.  Perhaps if
you made it less general and more specific to what the code inside
progn actually does, we could discuss this in a more useful manner.